POST /Command/SetIncidentFields
Updates fields for an incident with specified values in a JSON object.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Incident Number |
|
Required |
The incident number to set the fields to. |
|
Input |
|
Required |
A JSON object of an incident with fields to be updated. Fields could be Title, SiteName, IncidentType, Status, SeverityName, Disposition, Tags, DueDate, Description, IncidentCategory, DateEnd, Owner, DateOccurred and CustomFields. Date format: yyyy-mm-dd hh:mm:ss. |
READER NOTE
For Date/Time parameter Input, all times and timestamps must follow the format: yyyy-mm-dd hh:mm:ss .
-
e.g. May 15, 2024, 2:32 PM should be written as 2024-05-15 14:32:00.